#version 330
 
uniform sampler2D u_depth_tex;
layout( location = 0 ) out vec4 fragcolor;
in vec2 UV;
 
void main() {
 
    float z = texture(u_depth_tex, UV).r;
    float n = 0.1;
    float f = 1000.0;
    float c = (2.0 * n) / (f + n - z * (f - n));
        
    fragcolor.rgb = vec3(z);
    //fragcolor.rgb = texture(u_depth_tex, UV).rgb;
}
