#version 330 core
 
// Input vertex data, different for all executions of this shader.
layout(location = 0) in vec3 inPosition;
layout(location = 1) in vec4 inNormal;
layout(location = 2) in vec2 textureUV;

// Values that stay constant for the whole mesh.
uniform mat4 DepthMVP;
 
void main(){
    gl_Position = DepthMVP * vec4(inPosition,1);
}

