#version 330 core

in vec2 UV;

layout(location = 0) out vec4 outputColor;

uniform sampler2D Texture;
uniform vec4 Color;

void main()
{
    vec4 value = texture(Texture, UV).rgba;
    outputColor = vec4(value.rgb * Color.rgb, value.a);
}
