#version 330 core

in vec2 UV;

layout(location = 0) out vec4 outputColor;

uniform sampler2D Texture;
uniform vec4 Color;

void main()
{
    float value = texture(Texture, UV).r;
    outputColor = vec4(Color.rgb * value, value);
}
