#version 330 core

in vec4 color;
in vec3 position;
in vec4 normal;

out vec4 outputColor;
out vec4 outputNormalDepth;
out vec4 outputPosition;

uniform float FarClip;

void main()
{
    outputColor = color / 255.f;
    outputNormalDepth = vec4(normal.xyz, position.z / FarClip);
    outputPosition = vec4(position, 0);
    //outputPosition = vec4(0,0,0,0);
}
